MxDeformWaves

## MxDeformWaves MxDeformWaves |

## Synopsis

    struct              MxDeformWaves;
    struct              MxDeformWavesClass;
    ClutterActor *      mx_deform_waves_new                 (void);
    gdouble             mx_deform_waves_get_period          (MxDeformWaves *waves);
    void                mx_deform_waves_set_period          (MxDeformWaves *waves,
                                                             gdouble period);
    gdouble             mx_deform_waves_get_angle           (MxDeformWaves *waves);
    void                mx_deform_waves_set_angle           (MxDeformWaves *waves,
                                                             gdouble angle);
    gdouble             mx_deform_waves_get_radius          (MxDeformWaves *waves);
    void                mx_deform_waves_set_radius          (MxDeformWaves *waves,
                                                             gdouble radius);
    gdouble             mx_deform_waves_get_amplitude       (MxDeformWaves *waves);
    void                mx_deform_waves_set_amplitude       (MxDeformWaves *waves,
                                                             gdouble amplitude);

## Object Hierarchy

      GObject
       +----GInitiallyUnowned
             +----ClutterActor
                   +----MxWidget
                         +----MxDeformTexture
                               +----MxDeformWaves

## Implemented Interfaces

MxDeformWaves implements ClutterContainer, ClutterScriptable, ClutterAnimatable, AtkImplementorIface and MxStylable.

## Properties

      "amplitude"                gdouble               : Read / Write
      "angle"                    gdouble               : Read / Write
      "period"                   gdouble               : Read / Write
      "radius"                   gdouble               : Read / Write

## Description

## Details

### struct MxDeformWaves

    struct MxDeformWaves;

The contents of this structure is private and should only be accessed using the provided API.

### struct MxDeformWavesClass

    struct MxDeformWavesClass {
      MxDeformTextureClass parent_class;

      /* padding for future expansion */
      void (*_padding_0) (void);
      void (*_padding_1) (void);
      void (*_padding_2) (void);
      void (*_padding_3) (void);
      void (*_padding_4) (void);
    };

### mx_deform_waves_new ()

    ClutterActor *      mx_deform_waves_new                 (void);

### mx_deform_waves_get_period ()

    gdouble             mx_deform_waves_get_period          (MxDeformWaves *waves);

### mx_deform_waves_set_period ()

    void                mx_deform_waves_set_period          (MxDeformWaves *waves,
                                                             gdouble period);

### mx_deform_waves_get_angle ()

    gdouble             mx_deform_waves_get_angle           (MxDeformWaves *waves);

### mx_deform_waves_set_angle ()

    void                mx_deform_waves_set_angle           (MxDeformWaves *waves,
                                                             gdouble angle);

### mx_deform_waves_get_radius ()

    gdouble             mx_deform_waves_get_radius          (MxDeformWaves *waves);

### mx_deform_waves_set_radius ()

    void                mx_deform_waves_set_radius          (MxDeformWaves *waves,
                                                             gdouble radius);

### mx_deform_waves_get_amplitude ()

    gdouble             mx_deform_waves_get_amplitude       (MxDeformWaves *waves);

### mx_deform_waves_set_amplitude ()

    void                mx_deform_waves_set_amplitude       (MxDeformWaves *waves,
                                                             gdouble amplitude);

## Property Details

### The `"amplitude"` property

      "amplitude"                gdouble               : Read / Write

Effect amplitude.

Allowed values: >= 0

Default value: 1

### The `"angle"` property

      "angle"                    gdouble               : Read / Write

Effect rotation angle.

Allowed values: [0,6.28319]

Default value: 0

### The `"period"` property

      "period"                   gdouble               : Read / Write

Effect period.

Allowed values: >= 0

Default value: 0

### The `"radius"` property

      "radius"                   gdouble               : Read / Write

Wave ripple radius.

Allowed values: >= G_MINDOUBLE

Default value: 32